Page MenuHomePhabricator

Drop "archive" from generic index on testwiki
Closed, ResolvedPublic

Description

Once the elasticsearch cluster split is complete we will be ready to start deploying the archive index split. There is no need to wait for that to start testing though, now that the cluster split isn't too far off we can merge the relevant patch and ensure it works as expected in production. This should allow us to deploy the archive index split across the full cluster shortly after the cluster split is complete.

Steps:

  • merge 447642
  • wait for train deploy (testwiki jan 22?)
  • Run updateSearchIndexConfig.php on testwiki
  • Verify everything worked as expected. Doc updates go to the right place. etc.

Event Timeline

EBernhardson triaged this task as Normal priority.
Restricted Application edited projects, added Discovery-Search; removed Discovery-Search (Current work). · View Herald TranscriptJan 15 2019, 6:28 PM
EBernhardson updated the task description. (Show Details)Jan 22 2019, 6:53 PM

Change 485984 had a related patch set uploaded (by EBernhardson; owner: EBernhardson):
[operations/mediawiki-config@master] cirrus: Set shard counts for new archive index

https://gerrit.wikimedia.org/r/485984

Change 485984 merged by jenkins-bot:
[operations/mediawiki-config@master] cirrus: Set shard counts for new archive index

https://gerrit.wikimedia.org/r/485984

Change 485985 had a related patch set uploaded (by EBernhardson; owner: EBernhardson):
[operations/mediawiki-config@master] cirrus: Set replica counts for new archive index

https://gerrit.wikimedia.org/r/485985

Change 485985 merged by jenkins-bot:
[operations/mediawiki-config@master] cirrus: Set replica counts for new archive index

https://gerrit.wikimedia.org/r/485985

Mentioned in SAL (#wikimedia-operations) [2019-01-23T00:40:44Z] <ebernhardson@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT T213851 Cirrus: Setup archive index shard/replica counts (duration: 00m 54s)

At first glance everything appears to be working well in the archive index. Today is winding down though, will do a more thorough check before calling this complete.

Everything looks to be working appropriately. Great!

EBernhardson updated the task description. (Show Details)Feb 5 2019, 8:33 PM
EBernhardson removed a project: Patch-For-Review.
debt closed this task as Resolved.Feb 7 2019, 9:21 PM